---
title: get-a-global-config-item
product: vercel
url: /docs/rest-api/global-config/get-a-global-config-item
canonical_url: "https://vercel.com/docs/rest-api/global-config/get-a-global-config-item"
last_updated: 2026-09-09
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-a-global-config-item on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get a Global Config item

```http
GET /v1/global-config/{edgeConfigId}/item/{edgeConfigItemKey}
```

Returns a specific Global Config Item.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `edgeConfigId` | string. pattern: `^ecfg_` | Yes |  |
| `edgeConfigItemKey` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/global-config/edgeConfigId/item/edgeConfigItemKey?teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/global-config/edgeConfigId/item/edgeConfigItemKey?teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/global-config/edgeConfigId/item/edgeConfigItemKey?teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "key": "string",
  "value": "string",
  "description": "string",
  "edgeConfigId": "example_id",
  "createdAt": "123",
  "updatedAt": "123"
}
```

## Responses

### 200: The Global Config.

Content-Type: `application/json`

```json
{
  "type": "object",
  "description": "The Global Config.",
  "required": [
    "createdAt",
    "edgeConfigId",
    "key",
    "updatedAt",
    "value"
  ],
  "properties": {
    "key": {
      "type": "string"
    },
    "value": {
      "nullable": true,
      "oneOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        },
        {
          "type": "object",
          "additionalProperties": {
            "type": "object",
            "description": "(circular reference)"
          }
        },
        {
          "type": "array",
          "items": {
            "type": "object",
            "description": "(circular reference)"
          }
        },
        {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        }
      ]
    },
    "description": {
      "type": "string"
    },
    "edgeConfigId": {
      "type": "string"
    },
    "createdAt": {
      "type": "number"
    },
    "updatedAt": {
      "type": "number"
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [global-config endpoints](/docs/rest-api#global-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
